Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 707278

Summary: app-text/crm114-20100106-r1 : fails to build with -fno-common or gcc-10
Product: Gentoo Linux Reporter: Toralf Förster <toralf>
Component: Current packagesAssignee: Gentoo Shell Tools Herd Bugs <shell-tools>
Status: RESOLVED FIXED    
Severity: normal CC: sam
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard: ~arch only
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 705764    
Attachments: emerge-info.txt
app-text:crm114-20100106-r1:20200129-181748.log
emerge-history.txt
environment
etc.portage.tbz2
logs.tbz2
temp.tbz2

Description Toralf Förster gentoo-dev 2020-01-29 18:43:17 UTC
crmregex_tre.c:44:17: warning: initialization of ‘long unsigned int’ from ‘void *’ makes integer from pointer without a cast [-Wint-conversion]
   44 |   { { NULL, {0, NULL}, 0, 0, 0} } ;
      |                 ^~~~
crmregex_tre.c:44:17: note: (near initialization for ‘regex_cache[0].reg.__allocated’)
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: crm_compiler.o:(.bss+0xa8): multiple definition of `internal_trace'; crm_main.o:(.bss+0xd0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: crm_compiler.o:(.bss+0xb8): multiple definition of `max_pgmsize'; crm_main.o:(.bss+0xe0): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_systemd-20200126-201521

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.6
  [3]   python3.7 (fallback)
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.242_p08 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Wed, 29 Jan 2020 18:06:29 +0000

emerge -qpvO app-text/crm114
[ebuild  N    ] app-text/crm114-20100106-r1  USE="nls -examples -mew -mimencode -normalizemime -static -test"
Comment 1 Toralf Förster gentoo-dev 2020-01-29 18:43:20 UTC
Created attachment 608364 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-29 18:43:23 UTC
Created attachment 608366 [details]
app-text:crm114-20100106-r1:20200129-181748.log
Comment 3 Toralf Förster gentoo-dev 2020-01-29 18:43:26 UTC
Created attachment 608368 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-01-29 18:43:29 UTC
Created attachment 608370 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-01-29 18:43:31 UTC
Created attachment 608372 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-29 18:43:34 UTC
Created attachment 608374 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-01-29 18:43:37 UTC
Created attachment 608376 [details]
temp.tbz2
Comment 8 Sam James archtester gentoo-dev Security 2020-10-31 05:50:36 UTC
Debian just did -fcommon. Other neat patches there too: https://sources.debian.org/patches/crm114/20100106-10/
Comment 9 Larry the Git Cow gentoo-dev 2021-02-14 10:36:42 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3585fb2af9f610f7d917f897e06dd1a2ea2ee93d

commit 3585fb2af9f610f7d917f897e06dd1a2ea2ee93d
Author:     Jakov Smolic <jakov.smolic@sartura.hr>
AuthorDate: 2021-02-14 10:32:39 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2021-02-14 10:32:39 +0000

    app-text/crm114: Port to EAPI 7
    
    Closes: https://bugs.gentoo.org/707278
    Signed-off-by: Jakov Smolic <jakov.smolic@sartura.hr>
    Signed-off-by: David Seifert <soap@gentoo.org>

 app-text/crm114/crm114-20100106-r1.ebuild | 16 ++++++----------
 app-text/crm114/metadata.xml              | 27 ++++++++++++---------------
 2 files changed, 18 insertions(+), 25 deletions(-)